# Субконто и планы видов характеристик

## Задание 1

### Описание задачи

К плану счетов управленческого учета привязать виды субконто и назначить их предопределенным счетам.

### Требование к результату

Выгрузка информационной базы (.dt) с конфигурацией из предыдущего задания, к которой добавлен план видов характеристик **ВидыСубконто** с предопределенными видами субконто:

* Сотрудники (СправочникСсылка.Сотрудники)
* Номенклатура (СправочникСсылка.Номенклатура)
* Контрагенты (СправочникСсылка.Контрагенты)

Предопределенным счетам должны быть назначены виды субконто:

* 41 - Номенклатура
* 60, 62 - Контрагенты
* 70 - Сотрудники

### Процесс выполнения

Используйте конфигурацию из предыдущего задания, содержащую план счетов **Управленческий** с предопределенными счетами.

1. Создайте план видов характеристик **ВидыСубконто** с типами СправочникСсылка.Сотрудники, СправочникСсылка.Номенклатура, СправочникСсылка.Контрагенты.

2. Добавьте к нему предопределенные виды субконто:

* Сотрудники (СправочникСсылка.Сотрудники)
* Номенклатура (СправочникСсылка.Номенклатура)
* Контрагенты (СправочникСсылка.Контрагенты)

3. Укажите созданный ПВХ в свойствах плана счетов **Управленческий**, указав произвольное ограничение на число видов субконто.

4. В свойствах предопределенных счетов укажите виды субконто:

* 41 Товары ("Товары") - Номенклатура
* 60 РасчетыСПоставщиками ("Расчеты с поставщиками") - Контрагенты
* 62 РасчетыСПокупателями ("Расчеты с покупателями") - Контрагенты
* 70 РасчетыССотрудниками ("Расчеты с сотрудниками") - Сотрудники

## Задание 2

### Описание задачи

Дополнить документы **ПоступлениеТоваровИУслуг** и **РеализацияТоваровИУслуг** движениями по субконто.

### Требование к результату

Выгрузка информационной базы (.dt) с конфигурацией из предыдущего задания, в которой документы **ПоступлениеТоваровИУслуг** и **РеализацияТоваровИУслуг** формируют проводки по регистру бухгалтерии с указанием субконто.

Документ **ПоступлениеТоваровИУслуг** на каждую строку товара должен формировать движения:

* Дт 41 - Кт 60 с заполнением субконто Дт Номенклатура и субконто Кт Контрагенты.

Документ **РеализацияТоваровИУслуг** должен формировать движения:

* Дт 62 - Кт 90.1 с заполнением субконто Дт Контрагенты.
* Дт 90.2 - Кт 41 с заполнением субконто Кт Номенклатура.

### Процесс выполнения

Конфигурация из предыдущего задания.

1. Обработчик проведения документа **РеализацияТоваровИУслуг** доработайте так:

* В коде, формирующем одну проводку Дт 62 - Кт 90.1, просто заполните субконто Контрагенты.
* В коде, формирующем проводку Дт 90.2 - Кт 41, заполняйте субконто Номенклатура значением товара в строке, а сумму проводки - себестоимостью товара в строке.

2. Обработчик проведения документа **ПоступлениеТоваровИУслуг** доработайте аналогичным образом. Для каждой строки товара должна формироваться одна проводка в Дт предопределенного счета Товары (с заполнением субконто Номенклатура) и в Кт предопределенного счета РасчетыСПоставщиками (с заполнением субконто Контрагенты) на сумму по строке.
