# Планы видов расчета и регистры расчета

## Задание 1

### Описание задачи

Создать простой план видов расчета и регистр для расчета управленческой зарплаты.

### Требование к результату

Выгрузка информационной базы (.dt) с конфигурацией из [диплома Б](diploma-b.md), содержащая план видов расчета "НачисленияИУдержания" с предопределенными видами расчета "Оплата по окладу", "Оплата по ставке часа", "Премия", "Отпуск", "Больничный" и регистр расчета "Зарплата" с единственным измерением "Сотрудник" и ресурсом "Сумма".

### Процесс выполнения

Используйте конфигурацию из предыдущих заданий.

1. Добавьте подсистему **Зарплата**.

2. Добавьте в нее план видов расчета **НачисленияУдержания**, использующий период действия.
К нему добавьте предопределенные виды расчетов:

* ОплатаПоОкладу ("Оплата по окладу")
* ОплатаПоСтавкеЧаса ("Оплата по ставке часа")
* Премия ("Премия")
* Отпуск ("Отпуск")
* Больничный ("Больничный")

3. Добавьте в нее регистр расчетов **Зарплата** с периодичностью "Месяц", использующий период действия и базовый период.
К нему добавьте измерение **Сотрудник** (СправочникСсылка.Сотрудники) и ресурс **Сумма** (ОпределяемыйТип.Сумма).

4. Включите добавленные объекты в состав функциональной опции **ВестиРасчетЗарплаты**.

## Задание 2

### Описание задачи

Создать документ "Начисление списком", позволяющий ввести начисление фиксированной суммой (например, премию) по списку сотрудников с указанным периодом действия.

### Требование к результату

Выгрузка информационной базы (.dt) с конфигурацией из предыдущего задания, содержащая документ **НачислениеСписком**, позволяющий указать вид начисления и таблицу сотрудников с суммами.
Помимо даты документа (периода регистрации) документ должен давать возможность указать период действия, отличающийся от периода регистрации.

### Процесс выполнения

Конфигурация из предыдущего задания.

1. Добавьте документ **НачислениеСписком** с реквизитами шапки **Начисление** (ПланВидовРасчетаСсылка.НачисленияУдержания), **НачалоПериодаДействия**, **КонецПериодаДействия** (Дата и время).
Добавьте к нему табличную часть **Сотрудники** с реквизитами **Сотрудник** (СправочникСсылка.Сотрудники) и **Сумма** (ОпределяемыйТип.Сумма).
Сделайте его регистратором регистра расчета **Зарплата**.
Включите его в состав функциональной опции **ВестиРасчетЗарплаты**.

2. Выведите реквизиты на форму разумным образом.

3. В модуле документа создайте обработку проведения. В ней:

* Очистите набор записей Движения.Зарплата.
* Для каждой строки табличной части создайте движение, заполнив в нем вид расчета, сотрудника, сумму, период регистрации (по дате документа) и период действия (по значениям реквизитов  **НачалоПериодаДействия** и **КонецПериодаДействия**). Базовый период заполнять не нужно: фиксированное начисление ни от чего не зависит.
* Запишите набор записей Движения.Зарплата.

4. Заполните и проведите документ. Удостоверьтесь в том, что движения по регистру формируются без ошибок.
