# Процессы и схемы процессов

## Задание 1

### Описание задачи

Создать простейший процесс "Поручение", позволяющий создать произвольную задачу для исполнителя.

### Требование к результату

Выгрузка информационной базы (.dt), содержащая бизнес-процесс **Поручение** с единственным действием. У поручения должен быть обязательно указан исполнитель и описание создаваемой задачи. Опционально можно указать предмет из состава определяемого типа **ПредметыПроцессов**. Задача должна заполняться по данным процесса.

### Процесс выполнения

Используйте конфигурацию из предыдущих заданий.

1. Добавьте подсистему **Взаимодействие**, включив ее в командный интерфейс.

2. Добавьте определяемый тип **ПредметПроцесса**, включив в него все документы и справочники.

3. Добавьте в подсистему **Взаимодействие** задачу **Задача**, задав для нее:

* Достаточно длинное наименование (например, 150 знаков).
* Реквизит адресации **Исполнитель** (СправочникСсылка.Сотрудники).
* Реквизит **Предмет** (ОпределяемыйТип.ПредметПроцесса)

3. Добавьте в подсистему **Взаимодействие** процесс **Поручение**, задав для него:

* Обязательный к заполнению реквизит **Описание** (строка, которая станет наименованием задачи).
* Обязательный к заполнению реквизит **Исполнитель** (сотрудник, который станет исполнителем задачи).
* Простую схему процесса из одного действия с наименованием задачи по умолчанию "Исполнить поручение".
* Для единственного действия переопределите обработчик события **ПриСозданииЗадач**, заполняя в нем наименования и исполнителей формируемых задач по данным самого процесса:

```bsl
	Для Каждого ФормируемаяЗадача Из ФормируемыеЗадачи Цикл
		ФормируемаяЗадача.Наименование = Описание;
		ФормируемаяЗадача.Исполнитель = Исполнитель;
	КонецЦикла;
```

4. Удостоверьтесь, что создаваемые задачи содержат исполнителя и наименование из процессов-поручений.
